Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | Static Public Member Functions | List of all members
concepts::detail::and_< T, U > Struct Template Reference
Inheritance diagram for concepts::detail::and_< T, U >:

## Public Member Functions
template<typename That >
constexpr and_< and_, That > | operator && (That) const noexcept
constexpr | operator bool () const noexcept
constexpr not_< and_ > | operator! () const noexcept
template<typename That >
constexpr or_< and_, That > | operator|| (That) const noexcept

## Static Public Member Functions
static constexpr bool | impl (std::false_type) noexcept
static constexpr bool | impl (std::true_type) noexcept